<?
	session_start();

	// HTTP headers for no cache etc
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Cache-Control: post-check=0, pre-check=0", false);
	header("Pragma: no-cache");

	if($_SESSION['id_gracza']!=NULL and $_SESSION['pokoj_gracza']!=NULL){

		include $_SERVER['DOCUMENT_ROOT']."/include/baza_danych.php";

		$ilu_graczy_w_pokoju = mysql_result(mysql_query("SELECT COUNT(*) FROM gracze WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND pionek<>'';"),0);

		// ile graczy ma być w pokoju?
 		$liczba_graczy = mysql_result(mysql_query("SELECT liczba_graczy FROM pokoje WHERE id='".$_SESSION['pokoj_gracza']."' LIMIT 1;"),0);

		// dla pewności odświeżamy aktywność online gracza
		$update = mysql_query("UPDATE gracze SET czas_aktywnosci='".time()."' WHERE id='".$_SESSION['id_gracza']."' LIMIT 1;");

		if($liczba_graczy==$ilu_graczy_w_pokoju){
			echo'Jest komplet graczy.';
		}else{
			echo'Jest <b>'.$ilu_graczy_w_pokoju.'</b> z <b>'.$liczba_graczy.'</b> graczy.';
		}

	}
?>